NEW (jakarta-bcel 5.2 API)
Keywords: org.apache.bcel.generic.NEW class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.bcel.generic
Class NEW

    java.lang.Object
      org.apache.bcel.generic.Instruction
          org.apache.bcel.generic.CPInstruction
              org.apache.bcel.generic.NEW

All Implemented Interfaces:
  Serializable, Cloneable, AllocationInstruction, ExceptionThrower, IndexedInstruction, LoadClass, StackProducer, TypedInstruction

    public class NEW

extends CPInstruction
implements LoadClass, AllocationInstruction, ExceptionThrower, StackProducer

NEW - Create new object

    Stack: ... -> ..., objectref

Version:
  $Id: NEW.java 386056 2006-03-15 11:31:56Z tcurdt $
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.bcel.generic.CPInstruction
`index`

Fields inherited from class org.apache.bcel.generic.Instruction
`length, opcode`

Constructor Summary
`NEW(int index)`

Method Summary
`void` | `accept(Visitor v)` Call corresponding visitor method(s).
`Class[]` | `getExceptions()`
`ObjectType` | `getLoadClassType(ConstantPoolGen cpg)` Returns the ObjectType of the referenced class or interface that may be loaded and resolved.

Methods inherited from class org.apache.bcel.generic.CPInstruction
`dump, getIndex, getType, initFromFile, setIndex, toString, toString`

Methods inherited from class org.apache.bcel.generic.Instruction
`consumeStack, copy, equals, getComparator, getLength, getName, getOpcode, produceStack, readInstruction, setComparator, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.bcel.generic.LoadClass
`getType`

Methods inherited from interface org.apache.bcel.generic.StackProducer
`produceStack`

Constructor Detail

### NEW

    public NEW(int index)

Method Detail

### getExceptions

    public Class[] getExceptions()

  Specified by:
    `getExceptions` in interface `ExceptionThrower`

### getLoadClassType

    public ObjectType getLoadClassType(ConstantPoolGen cpg)

  Description copied from interface: `LoadClass`
  Returns the ObjectType of the referenced class or interface that may be loaded and resolved.

  Specified by:
    `getLoadClassType` in interface `LoadClass`
  Returns:
    object type that may be loaded or null if a primitive is referenced

### accept

    public void accept(Visitor v)

  Call corresponding visitor method(s). The order is: Call visitor methods of implemented interfaces first, then call methods according to the class hierarchy in descending order, i.e., the most specific visitXXX() call comes last.

  Specified by:
    `accept` in class `Instruction`
  Parameters:
    `v` - Visitor object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 Apache Software Foundation. All Rights Reserved.